Public Member Functions | Public Attributes | List of all members
LotusGraphInternal::ZonePcList Struct Reference

a list of ZonePc of a LotusGraph for 123 pc More...

## Public Member Functions
| ZonePcList ()
| constructor More...
bool | empty () const
| returns true if the number of graphic zone is empty More...

## Public Attributes
std::vector< std::shared_ptr< ZonePc > > | m_zones
| the list of zones More...
std::stack< size_t > | m_groupBeginStack
| the stack indicating the beginning of each group More...

## Detailed Description

a list of ZonePc of a LotusGraph for 123 pc

## Constructor & Destructor Documentation

## ◆ ZonePcList()

LotusGraphInternal::ZonePcList::ZonePcList | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool LotusGraphInternal::ZonePcList::empty | ( |  | ) | const
| inline

returns true if the number of graphic zone is empty

## Member Data Documentation

## ◆ m_groupBeginStack

std::stack<size_t> LotusGraphInternal::ZonePcList::m_groupBeginStack

the stack indicating the beginning of each group

## ◆ m_zones

std::vector<std::shared_ptr<ZonePc> > LotusGraphInternal::ZonePcList::m_zones

the list of zones

Referenced by empty(), and LotusGraph::sendZone().

The documentation for this struct was generated from the following file:

- LotusGraph.cpp